com.sun.grid.jgdi.configuration

## Interface SchedConf

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    SchedConfImpl

      public interface SchedConf
      extends GEObject

  Java representation of the cull object SC_Type defined in sge_all_listsL.template

  Warning: The SchedConf class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addJobLoadAdjustments(ComplexEntry ajobLoadAdjustments)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `java.lang.String` | `dump()`
    `java.lang.String` | `getAlgorithm()` Get the value of the algorithm attribute.
    `double` | `getCompensationFactor()` Get the value of the compensationFactor attribute.
    `java.lang.String` | `getDefaultDuration()` Get the value of the defaultDuration attribute.
    `double` | `getDefaultUsageWeight()` Get the default value of the attribute usageWeight.
    `int` | `getFlushFinishSec()` Get the value of the flushFinishSec attribute.
    `int` | `getFlushSubmitSec()` Get the value of the flushSubmitSec attribute.
    `java.lang.String` | `getHalflifeDecayList()` Get the value of the halflifeDecayList attribute.
    `int` | `getHalftime()` Get the value of the halftime attribute.
    `ComplexEntry` | `getJobLoadAdjustments(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getJobLoadAdjustmentsCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getJobLoadAdjustmentsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.lang.String` | `getLoadAdjustmentDecayTime()` Get the value of the loadAdjustmentDecayTime attribute.
    `java.lang.String` | `getLoadFormula()` Get the value of the loadFormula attribute.
    `int` | `getMaxFunctionalJobsToSchedule()` Get the value of the maxFunctionalJobsToSchedule attribute.
    `int` | `getMaxPendingTasksPerJob()` Get the value of the maxPendingTasksPerJob attribute.
    `int` | `getMaxReservation()` Get the value of the maxReservation attribute.
    `int` | `getMaxujobs()` Get the value of the maxujobs attribute.
    `java.lang.String` | `getParams()` Get the value of the params attribute.
    `java.lang.String` | `getPolicyHierarchy()` Get the value of the policyHierarchy attribute.
    `int` | `getQueueSortMethod()` Get the value of the queueSortMethod attribute.
    `java.lang.String` | `getReprioritizeInterval()` Get the value of the reprioritizeInterval attribute.
    `java.lang.String` | `getScheddJobInfo()` Get the value of the scheddJobInfo attribute.
    `java.lang.String` | `getScheduleInterval()` Get the value of the scheduleInterval attribute.
    `double` | `getUsageWeight(java.lang.String key)` Get the usageWeight attribute for `key`.
    `int` | `getUsageWeightCount()` Get the number of keys which have the attribute usageWeight set.
    `java.util.Set<java.lang.String>` | `getUsageWeightKeys()` Get the set of `key`s which have the attribute usageWeight set.
    `double` | `getWeightDeadline()` Get the value of the weightDeadline attribute.
    `double` | `getWeightDepartment()` Get the value of the weightDepartment attribute.
    `double` | `getWeightJob()` Get the value of the weightJob attribute.
    `double` | `getWeightPriority()` Get the value of the weightPriority attribute.
    `double` | `getWeightProject()` Get the value of the weightProject attribute.
    `double` | `getWeightTicket()` Get the value of the weightTicket attribute.
    `int` | `getWeightTicketsFunctional()` Get the value of the weightTicketsFunctional attribute.
    `int` | `getWeightTicketsOverride()` Get the value of the weightTicketsOverride attribute.
    `int` | `getWeightTicketsShare()` Get the value of the weightTicketsShare attribute.
    `double` | `getWeightUrgency()` Get the value of the weightUrgency attribute.
    `double` | `getWeightUser()` Get the value of the weightUser attribute.
    `double` | `getWeightWaitingTime()` Get the value of the weightWaitingTime attribute.
    `boolean` | `isReportPjobTickets()` Get the value of the reportPjobTickets attribute.
    `boolean` | `isSetAlgorithm()` Determine if any algorithm attribute is set
    `boolean` | `isSetCompensationFactor()` Determine if any compensationFactor attribute is set
    `boolean` | `isSetDefaultDuration()` Determine if any defaultDuration attribute is set
    `boolean` | `isSetFlushFinishSec()` Determine if any flushFinishSec attribute is set
    `boolean` | `isSetFlushSubmitSec()` Determine if any flushSubmitSec attribute is set
    `boolean` | `isSetHalflifeDecayList()` Determine if any halflifeDecayList attribute is set
    `boolean` | `isSetHalftime()` Determine if any halftime attribute is set
    `boolean` | `isSetJobLoadAdjustments()` Determine if any jobLoadAdjustments attribute is set
    `boolean` | `isSetLoadAdjustmentDecayTime()` Determine if any loadAdjustmentDecayTime attribute is set
    `boolean` | `isSetLoadFormula()` Determine if any loadFormula attribute is set
    `boolean` | `isSetMaxFunctionalJobsToSchedule()` Determine if any maxFunctionalJobsToSchedule attribute is set
    `boolean` | `isSetMaxPendingTasksPerJob()` Determine if any maxPendingTasksPerJob attribute is set
    `boolean` | `isSetMaxReservation()` Determine if any maxReservation attribute is set
    `boolean` | `isSetMaxujobs()` Determine if any maxujobs attribute is set
    `boolean` | `isSetParams()` Determine if any params attribute is set
    `boolean` | `isSetPolicyHierarchy()` Determine if any policyHierarchy attribute is set
    `boolean` | `isSetQueueSortMethod()` Determine if any queueSortMethod attribute is set
    `boolean` | `isSetReportPjobTickets()` Determine if any reportPjobTickets attribute is set
    `boolean` | `isSetReprioritizeInterval()` Determine if any reprioritizeInterval attribute is set
    `boolean` | `isSetScheddJobInfo()` Determine if any scheddJobInfo attribute is set
    `boolean` | `isSetScheduleInterval()` Determine if any scheduleInterval attribute is set
    `boolean` | `isSetShareFunctionalShares()` Determine if any shareFunctionalShares attribute is set
    `boolean` | `isSetShareOverrideTickets()` Determine if any shareOverrideTickets attribute is set
    `boolean` | `isSetUsageWeight()` Determine if any usageWeight attribute is set
    `boolean` | `isSetUsageWeight(java.lang.String key)` Determine if any usageWeight attribute is for `key` is set
    `boolean` | `isSetWeightDeadline()` Determine if any weightDeadline attribute is set
    `boolean` | `isSetWeightDepartment()` Determine if any weightDepartment attribute is set
    `boolean` | `isSetWeightJob()` Determine if any weightJob attribute is set
    `boolean` | `isSetWeightPriority()` Determine if any weightPriority attribute is set
    `boolean` | `isSetWeightProject()` Determine if any weightProject attribute is set
    `boolean` | `isSetWeightTicket()` Determine if any weightTicket attribute is set
    `boolean` | `isSetWeightTicketsFunctional()` Determine if any weightTicketsFunctional attribute is set
    `boolean` | `isSetWeightTicketsOverride()` Determine if any weightTicketsOverride attribute is set
    `boolean` | `isSetWeightTicketsShare()` Determine if any weightTicketsShare attribute is set
    `boolean` | `isSetWeightUrgency()` Determine if any weightUrgency attribute is set
    `boolean` | `isSetWeightUser()` Determine if any weightUser attribute is set
    `boolean` | `isSetWeightWaitingTime()` Determine if any weightWaitingTime attribute is set
    `boolean` | `isShareFunctionalShares()` Get the value of the shareFunctionalShares attribute.
    `boolean` | `isShareOverrideTickets()` Get the value of the shareOverrideTickets attribute.
    `void` | `putUsageWeight(java.lang.String key, double value)` Put the attribute usageWeight for `key`.
    `void` | `removeAllJobLoadAdjustments()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllUsageWeight()` Remove the attribute usageWeight for all keys.
    `boolean` | `removeJobLoadAdjustments(ComplexEntry ajobLoadAdjustments)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeJobLoadAdjustments(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `java.lang.Double` | `removeUsageWeight(java.lang.String key)` remove the attribute usageWeight for `key`.
    `void` | `setAlgorithm(java.lang.String aAlgorithm)` Set the algorithm attribute.
    `void` | `setCompensationFactor(double aCompensationFactor)` Set the compensationFactor attribute.
    `void` | `setDefaultDuration(java.lang.String aDefaultDuration)` Set the defaultDuration attribute.
    `void` | `setFlushFinishSec(int aFlushFinishSec)` Set the flushFinishSec attribute.
    `void` | `setFlushSubmitSec(int aFlushSubmitSec)` Set the flushSubmitSec attribute.
    `void` | `setHalflifeDecayList(java.lang.String aHalflifeDecayList)` Set the halflifeDecayList attribute.
    `void` | `setHalftime(int aHalftime)` Set the halftime attribute.
    `void` | `setJobLoadAdjustments(int index, ComplexEntry ajobLoadAdjustments)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setLoadAdjustmentDecayTime(java.lang.String aLoadAdjustmentDecayTime)` Set the loadAdjustmentDecayTime attribute.
    `void` | `setLoadFormula(java.lang.String aLoadFormula)` Set the loadFormula attribute.
    `void` | `setMaxFunctionalJobsToSchedule(int aMaxFunctionalJobsToSchedule)` Set the maxFunctionalJobsToSchedule attribute.
    `void` | `setMaxPendingTasksPerJob(int aMaxPendingTasksPerJob)` Set the maxPendingTasksPerJob attribute.
    `void` | `setMaxReservation(int aMaxReservation)` Set the maxReservation attribute.
    `void` | `setMaxujobs(int aMaxujobs)` Set the maxujobs attribute.
    `void` | `setParams(java.lang.String aParams)` Set the params attribute.
    `void` | `setPolicyHierarchy(java.lang.String aPolicyHierarchy)` Set the policyHierarchy attribute.
    `void` | `setQueueSortMethod(int aQueueSortMethod)` Set the queueSortMethod attribute.
    `void` | `setReportPjobTickets(boolean aReportPjobTickets)` Set the reportPjobTickets attribute.
    `void` | `setReprioritizeInterval(java.lang.String aReprioritizeInterval)` Set the reprioritizeInterval attribute.
    `void` | `setScheddJobInfo(java.lang.String aScheddJobInfo)` Set the scheddJobInfo attribute.
    `void` | `setScheduleInterval(java.lang.String aScheduleInterval)` Set the scheduleInterval attribute.
    `void` | `setShareFunctionalShares(boolean aShareFunctionalShares)` Set the shareFunctionalShares attribute.
    `void` | `setShareOverrideTickets(boolean aShareOverrideTickets)` Set the shareOverrideTickets attribute.
    `void` | `setWeightDeadline(double aWeightDeadline)` Set the weightDeadline attribute.
    `void` | `setWeightDepartment(double aWeightDepartment)` Set the weightDepartment attribute.
    `void` | `setWeightJob(double aWeightJob)` Set the weightJob attribute.
    `void` | `setWeightPriority(double aWeightPriority)` Set the weightPriority attribute.
    `void` | `setWeightProject(double aWeightProject)` Set the weightProject attribute.
    `void` | `setWeightTicket(double aWeightTicket)` Set the weightTicket attribute.
    `void` | `setWeightTicketsFunctional(int aWeightTicketsFunctional)` Set the weightTicketsFunctional attribute.
    `void` | `setWeightTicketsOverride(int aWeightTicketsOverride)` Set the weightTicketsOverride attribute.
    `void` | `setWeightTicketsShare(int aWeightTicketsShare)` Set the weightTicketsShare attribute.
    `void` | `setWeightUrgency(double aWeightUrgency)` Set the weightUrgency attribute.
    `void` | `setWeightUser(double aWeightUser)` Set the weightUser attribute.
    `void` | `setWeightWaitingTime(double aWeightWaitingTime)` Set the weightWaitingTime attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setAlgorithm

          void setAlgorithm(java.lang.String aAlgorithm)

      Set the algorithm attribute.
      Parameters:
        `aAlgorithm` - the new value for the algorithm attribute

    - #### getAlgorithm

          java.lang.String getAlgorithm()

      Get the value of the algorithm attribute.
      Returns:
        the value of the algorithm attribute

    - #### isSetAlgorithm

          boolean isSetAlgorithm()

      Determine if any algorithm attribute is set
      Returns:
        `true` if the algorithm attribute is set

    - #### setScheduleInterval

          void setScheduleInterval(java.lang.String aScheduleInterval)

      Set the scheduleInterval attribute.
      Parameters:
        `aScheduleInterval` - the new value for the scheduleInterval attribute

    - #### getScheduleInterval

          java.lang.String getScheduleInterval()

      Get the value of the scheduleInterval attribute.
      Returns:
        the value of the scheduleInterval attribute

    - #### isSetScheduleInterval

          boolean isSetScheduleInterval()

      Determine if any scheduleInterval attribute is set
      Returns:
        `true` if the scheduleInterval attribute is set

    - #### setMaxujobs

          void setMaxujobs(int aMaxujobs)

      Set the maxujobs attribute.
      Parameters:
        `aMaxujobs` - the new value for the maxujobs attribute

    - #### getMaxujobs

          int getMaxujobs()

      Get the value of the maxujobs attribute.
      Returns:
        the value of the maxujobs attribute

    - #### isSetMaxujobs

          boolean isSetMaxujobs()

      Determine if any maxujobs attribute is set
      Returns:
        `true` if the maxujobs attribute is set

    - #### setQueueSortMethod

          void setQueueSortMethod(int aQueueSortMethod)

      Set the queueSortMethod attribute.
      Parameters:
        `aQueueSortMethod` - the new value for the queueSortMethod attribute

    - #### getQueueSortMethod

          int getQueueSortMethod()

      Get the value of the queueSortMethod attribute.
      Returns:
        the value of the queueSortMethod attribute

    - #### isSetQueueSortMethod

          boolean isSetQueueSortMethod()

      Determine if any queueSortMethod attribute is set
      Returns:
        `true` if the queueSortMethod attribute is set

    - #### getJobLoadAdjustmentsList

          java.util.List<ComplexEntry> getJobLoadAdjustmentsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getJobLoadAdjustmentsCount

          int getJobLoadAdjustmentsCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getJobLoadAdjustments

          ComplexEntry getJobLoadAdjustments(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### addJobLoadAdjustments

          void addJobLoadAdjustments(ComplexEntry ajobLoadAdjustments)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `ajobLoadAdjustments` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setJobLoadAdjustments

          void setJobLoadAdjustments(int index,
                                     ComplexEntry ajobLoadAdjustments)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `ajobLoadAdjustments` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllJobLoadAdjustments

          void removeAllJobLoadAdjustments()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### removeJobLoadAdjustments

          ComplexEntry removeJobLoadAdjustments(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeJobLoadAdjustments

          boolean removeJobLoadAdjustments(ComplexEntry ajobLoadAdjustments)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Parameters:
        `ajobLoadAdjustments` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### isSetJobLoadAdjustments

          boolean isSetJobLoadAdjustments()

      Determine if any jobLoadAdjustments attribute is set
      Returns:
        `true` if the jobLoadAdjustments attribute is set

    - #### setLoadAdjustmentDecayTime

          void setLoadAdjustmentDecayTime(java.lang.String aLoadAdjustmentDecayTime)

      Set the loadAdjustmentDecayTime attribute.
      Parameters:
        `aLoadAdjustmentDecayTime` - the new value for the loadAdjustmentDecayTime attribute

    - #### getLoadAdjustmentDecayTime

          java.lang.String getLoadAdjustmentDecayTime()

      Get the value of the loadAdjustmentDecayTime attribute.
      Returns:
        the value of the loadAdjustmentDecayTime attribute

    - #### isSetLoadAdjustmentDecayTime

          boolean isSetLoadAdjustmentDecayTime()

      Determine if any loadAdjustmentDecayTime attribute is set
      Returns:
        `true` if the loadAdjustmentDecayTime attribute is set

    - #### setLoadFormula

          void setLoadFormula(java.lang.String aLoadFormula)

      Set the loadFormula attribute.
      Parameters:
        `aLoadFormula` - the new value for the loadFormula attribute

    - #### getLoadFormula

          java.lang.String getLoadFormula()

      Get the value of the loadFormula attribute.
      Returns:
        the value of the loadFormula attribute

    - #### isSetLoadFormula

          boolean isSetLoadFormula()

      Determine if any loadFormula attribute is set
      Returns:
        `true` if the loadFormula attribute is set

    - #### setScheddJobInfo

          void setScheddJobInfo(java.lang.String aScheddJobInfo)

      Set the scheddJobInfo attribute.
      Parameters:
        `aScheddJobInfo` - the new value for the scheddJobInfo attribute

    - #### getScheddJobInfo

          java.lang.String getScheddJobInfo()

      Get the value of the scheddJobInfo attribute.
      Returns:
        the value of the scheddJobInfo attribute

    - #### isSetScheddJobInfo

          boolean isSetScheddJobInfo()

      Determine if any scheddJobInfo attribute is set
      Returns:
        `true` if the scheddJobInfo attribute is set

    - #### setFlushSubmitSec

          void setFlushSubmitSec(int aFlushSubmitSec)

      Set the flushSubmitSec attribute.
      Parameters:
        `aFlushSubmitSec` - the new value for the flushSubmitSec attribute

    - #### getFlushSubmitSec

          int getFlushSubmitSec()

      Get the value of the flushSubmitSec attribute.
      Returns:
        the value of the flushSubmitSec attribute

    - #### isSetFlushSubmitSec

          boolean isSetFlushSubmitSec()

      Determine if any flushSubmitSec attribute is set
      Returns:
        `true` if the flushSubmitSec attribute is set

    - #### setFlushFinishSec

          void setFlushFinishSec(int aFlushFinishSec)

      Set the flushFinishSec attribute.
      Parameters:
        `aFlushFinishSec` - the new value for the flushFinishSec attribute

    - #### getFlushFinishSec

          int getFlushFinishSec()

      Get the value of the flushFinishSec attribute.
      Returns:
        the value of the flushFinishSec attribute

    - #### isSetFlushFinishSec

          boolean isSetFlushFinishSec()

      Determine if any flushFinishSec attribute is set
      Returns:
        `true` if the flushFinishSec attribute is set

    - #### setParams

          void setParams(java.lang.String aParams)

      Set the params attribute.
      Parameters:
        `aParams` - the new value for the params attribute

    - #### getParams

          java.lang.String getParams()

      Get the value of the params attribute.
      Returns:
        the value of the params attribute

    - #### isSetParams

          boolean isSetParams()

      Determine if any params attribute is set
      Returns:
        `true` if the params attribute is set

    - #### setReprioritizeInterval

          void setReprioritizeInterval(java.lang.String aReprioritizeInterval)

      Set the reprioritizeInterval attribute.
      Parameters:
        `aReprioritizeInterval` - the new value for the reprioritizeInterval attribute

    - #### getReprioritizeInterval

          java.lang.String getReprioritizeInterval()

      Get the value of the reprioritizeInterval attribute.
      Returns:
        the value of the reprioritizeInterval attribute

    - #### isSetReprioritizeInterval

          boolean isSetReprioritizeInterval()

      Determine if any reprioritizeInterval attribute is set
      Returns:
        `true` if the reprioritizeInterval attribute is set

    - #### setHalftime

          void setHalftime(int aHalftime)

      Set the halftime attribute.
      Parameters:
        `aHalftime` - the new value for the halftime attribute

    - #### getHalftime

          int getHalftime()

      Get the value of the halftime attribute.
      Returns:
        the value of the halftime attribute

    - #### isSetHalftime

          boolean isSetHalftime()

      Determine if any halftime attribute is set
      Returns:
        `true` if the halftime attribute is set

    - #### getDefaultUsageWeight

          double getDefaultUsageWeight()

      Get the default value of the attribute usageWeight.

      Returns:
        the default value of the attribute usageWeight
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getUsageWeight

          double getUsageWeight(java.lang.String key)

      Get the usageWeight attribute for `key`.

      Parameters:
        `key` - the key
      Returns:
        the usageWeight attribute for `key` or the default value of usageWeight

    - #### getUsageWeightKeys

          java.util.Set<java.lang.String> getUsageWeightKeys()

      Get the set of `key`s which have the attribute usageWeight set.
      Returns:
        set of `key`s

    - #### getUsageWeightCount

          int getUsageWeightCount()

      Get the number of keys which have the attribute usageWeight set.
      Returns:
        the number of keys which have the attribute usageWeight set.

    - #### isSetUsageWeight

          boolean isSetUsageWeight(java.lang.String key)

      Determine if any usageWeight attribute is for `key` is set
      Parameters:
        `key` - the key
      Returns:
        `true` if the usageWeight attribute is set

    - #### putUsageWeight

          void putUsageWeight(java.lang.String key,
                              double value)

      Put the attribute usageWeight for `key`.

      Parameters:
        `key` - the key
        `value` - the value

    - #### removeUsageWeight

          java.lang.Double removeUsageWeight(java.lang.String key)

      remove the attribute usageWeight for `key`.

      Parameters:
        `key` - The key
      Returns:
        the value of the attribute for `key` or `null` if the attribute was not defined for `key`.

    - #### removeAllUsageWeight

          void removeAllUsageWeight()

      Remove the attribute usageWeight for all keys.

    - #### isSetUsageWeight

          boolean isSetUsageWeight()

      Determine if any usageWeight attribute is set
      Returns:
        `true` if the usageWeight attribute is set

    - #### setCompensationFactor

          void setCompensationFactor(double aCompensationFactor)

      Set the compensationFactor attribute.
      Parameters:
        `aCompensationFactor` - the new value for the compensationFactor attribute

    - #### getCompensationFactor

          double getCompensationFactor()

      Get the value of the compensationFactor attribute.
      Returns:
        the value of the compensationFactor attribute

    - #### isSetCompensationFactor

          boolean isSetCompensationFactor()

      Determine if any compensationFactor attribute is set
      Returns:
        `true` if the compensationFactor attribute is set

    - #### setWeightUser

          void setWeightUser(double aWeightUser)

      Set the weightUser attribute.
      Parameters:
        `aWeightUser` - the new value for the weightUser attribute

    - #### getWeightUser

          double getWeightUser()

      Get the value of the weightUser attribute.
      Returns:
        the value of the weightUser attribute

    - #### isSetWeightUser

          boolean isSetWeightUser()

      Determine if any weightUser attribute is set
      Returns:
        `true` if the weightUser attribute is set

    - #### setWeightProject

          void setWeightProject(double aWeightProject)

      Set the weightProject attribute.
      Parameters:
        `aWeightProject` - the new value for the weightProject attribute

    - #### getWeightProject

          double getWeightProject()

      Get the value of the weightProject attribute.
      Returns:
        the value of the weightProject attribute

    - #### isSetWeightProject

          boolean isSetWeightProject()

      Determine if any weightProject attribute is set
      Returns:
        `true` if the weightProject attribute is set

    - #### setWeightDepartment

          void setWeightDepartment(double aWeightDepartment)

      Set the weightDepartment attribute.
      Parameters:
        `aWeightDepartment` - the new value for the weightDepartment attribute

    - #### getWeightDepartment

          double getWeightDepartment()

      Get the value of the weightDepartment attribute.
      Returns:
        the value of the weightDepartment attribute

    - #### isSetWeightDepartment

          boolean isSetWeightDepartment()

      Determine if any weightDepartment attribute is set
      Returns:
        `true` if the weightDepartment attribute is set

    - #### setWeightJob

          void setWeightJob(double aWeightJob)

      Set the weightJob attribute.
      Parameters:
        `aWeightJob` - the new value for the weightJob attribute

    - #### getWeightJob

          double getWeightJob()

      Get the value of the weightJob attribute.
      Returns:
        the value of the weightJob attribute

    - #### isSetWeightJob

          boolean isSetWeightJob()

      Determine if any weightJob attribute is set
      Returns:
        `true` if the weightJob attribute is set

    - #### setWeightTicketsFunctional

          void setWeightTicketsFunctional(int aWeightTicketsFunctional)

      Set the weightTicketsFunctional attribute.
      Parameters:
        `aWeightTicketsFunctional` - the new value for the weightTicketsFunctional attribute

    - #### getWeightTicketsFunctional

          int getWeightTicketsFunctional()

      Get the value of the weightTicketsFunctional attribute.
      Returns:
        the value of the weightTicketsFunctional attribute

    - #### isSetWeightTicketsFunctional

          boolean isSetWeightTicketsFunctional()

      Determine if any weightTicketsFunctional attribute is set
      Returns:
        `true` if the weightTicketsFunctional attribute is set

    - #### setWeightTicketsShare

          void setWeightTicketsShare(int aWeightTicketsShare)

      Set the weightTicketsShare attribute.
      Parameters:
        `aWeightTicketsShare` - the new value for the weightTicketsShare attribute

    - #### getWeightTicketsShare

          int getWeightTicketsShare()

      Get the value of the weightTicketsShare attribute.
      Returns:
        the value of the weightTicketsShare attribute

    - #### isSetWeightTicketsShare

          boolean isSetWeightTicketsShare()

      Determine if any weightTicketsShare attribute is set
      Returns:
        `true` if the weightTicketsShare attribute is set

    - #### setWeightTicketsOverride

          void setWeightTicketsOverride(int aWeightTicketsOverride)

      Set the weightTicketsOverride attribute.
      Parameters:
        `aWeightTicketsOverride` - the new value for the weightTicketsOverride attribute

    - #### getWeightTicketsOverride

          int getWeightTicketsOverride()

      Get the value of the weightTicketsOverride attribute.
      Returns:
        the value of the weightTicketsOverride attribute

    - #### isSetWeightTicketsOverride

          boolean isSetWeightTicketsOverride()

      Determine if any weightTicketsOverride attribute is set
      Returns:
        `true` if the weightTicketsOverride attribute is set

    - #### setShareOverrideTickets

          void setShareOverrideTickets(boolean aShareOverrideTickets)

      Set the shareOverrideTickets attribute.
      Parameters:
        `aShareOverrideTickets` - the new value for the shareOverrideTickets attribute

    - #### isShareOverrideTickets

          boolean isShareOverrideTickets()

      Get the value of the shareOverrideTickets attribute.
      Returns:
        the value of the shareOverrideTickets attribute

    - #### isSetShareOverrideTickets

          boolean isSetShareOverrideTickets()

      Determine if any shareOverrideTickets attribute is set
      Returns:
        `true` if the shareOverrideTickets attribute is set

    - #### setShareFunctionalShares

          void setShareFunctionalShares(boolean aShareFunctionalShares)

      Set the shareFunctionalShares attribute.
      Parameters:
        `aShareFunctionalShares` - the new value for the shareFunctionalShares attribute

    - #### isShareFunctionalShares

          boolean isShareFunctionalShares()

      Get the value of the shareFunctionalShares attribute.
      Returns:
        the value of the shareFunctionalShares attribute

    - #### isSetShareFunctionalShares

          boolean isSetShareFunctionalShares()

      Determine if any shareFunctionalShares attribute is set
      Returns:
        `true` if the shareFunctionalShares attribute is set

    - #### setMaxFunctionalJobsToSchedule

          void setMaxFunctionalJobsToSchedule(int aMaxFunctionalJobsToSchedule)

      Set the maxFunctionalJobsToSchedule attribute.
      Parameters:
        `aMaxFunctionalJobsToSchedule` - the new value for the maxFunctionalJobsToSchedule attribute

    - #### getMaxFunctionalJobsToSchedule

          int getMaxFunctionalJobsToSchedule()

      Get the value of the maxFunctionalJobsToSchedule attribute.
      Returns:
        the value of the maxFunctionalJobsToSchedule attribute

    - #### isSetMaxFunctionalJobsToSchedule

          boolean isSetMaxFunctionalJobsToSchedule()

      Determine if any maxFunctionalJobsToSchedule attribute is set
      Returns:
        `true` if the maxFunctionalJobsToSchedule attribute is set

    - #### setReportPjobTickets

          void setReportPjobTickets(boolean aReportPjobTickets)

      Set the reportPjobTickets attribute.
      Parameters:
        `aReportPjobTickets` - the new value for the reportPjobTickets attribute

    - #### isReportPjobTickets

          boolean isReportPjobTickets()

      Get the value of the reportPjobTickets attribute.
      Returns:
        the value of the reportPjobTickets attribute

    - #### isSetReportPjobTickets

          boolean isSetReportPjobTickets()

      Determine if any reportPjobTickets attribute is set
      Returns:
        `true` if the reportPjobTickets attribute is set

    - #### setMaxPendingTasksPerJob

          void setMaxPendingTasksPerJob(int aMaxPendingTasksPerJob)

      Set the maxPendingTasksPerJob attribute.
      Parameters:
        `aMaxPendingTasksPerJob` - the new value for the maxPendingTasksPerJob attribute

    - #### getMaxPendingTasksPerJob

          int getMaxPendingTasksPerJob()

      Get the value of the maxPendingTasksPerJob attribute.
      Returns:
        the value of the maxPendingTasksPerJob attribute

    - #### isSetMaxPendingTasksPerJob

          boolean isSetMaxPendingTasksPerJob()

      Determine if any maxPendingTasksPerJob attribute is set
      Returns:
        `true` if the maxPendingTasksPerJob attribute is set

    - #### setHalflifeDecayList

          void setHalflifeDecayList(java.lang.String aHalflifeDecayList)

      Set the halflifeDecayList attribute.
      Parameters:
        `aHalflifeDecayList` - the new value for the halflifeDecayList attribute

    - #### getHalflifeDecayList

          java.lang.String getHalflifeDecayList()

      Get the value of the halflifeDecayList attribute.
      Returns:
        the value of the halflifeDecayList attribute

    - #### isSetHalflifeDecayList

          boolean isSetHalflifeDecayList()

      Determine if any halflifeDecayList attribute is set
      Returns:
        `true` if the halflifeDecayList attribute is set

    - #### setPolicyHierarchy

          void setPolicyHierarchy(java.lang.String aPolicyHierarchy)

      Set the policyHierarchy attribute.
      Parameters:
        `aPolicyHierarchy` - the new value for the policyHierarchy attribute

    - #### getPolicyHierarchy

          java.lang.String getPolicyHierarchy()

      Get the value of the policyHierarchy attribute.
      Returns:
        the value of the policyHierarchy attribute

    - #### isSetPolicyHierarchy

          boolean isSetPolicyHierarchy()

      Determine if any policyHierarchy attribute is set
      Returns:
        `true` if the policyHierarchy attribute is set

    - #### setWeightTicket

          void setWeightTicket(double aWeightTicket)

      Set the weightTicket attribute.
      Parameters:
        `aWeightTicket` - the new value for the weightTicket attribute

    - #### getWeightTicket

          double getWeightTicket()

      Get the value of the weightTicket attribute.
      Returns:
        the value of the weightTicket attribute

    - #### isSetWeightTicket

          boolean isSetWeightTicket()

      Determine if any weightTicket attribute is set
      Returns:
        `true` if the weightTicket attribute is set

    - #### setWeightWaitingTime

          void setWeightWaitingTime(double aWeightWaitingTime)

      Set the weightWaitingTime attribute.
      Parameters:
        `aWeightWaitingTime` - the new value for the weightWaitingTime attribute

    - #### getWeightWaitingTime

          double getWeightWaitingTime()

      Get the value of the weightWaitingTime attribute.
      Returns:
        the value of the weightWaitingTime attribute

    - #### isSetWeightWaitingTime

          boolean isSetWeightWaitingTime()

      Determine if any weightWaitingTime attribute is set
      Returns:
        `true` if the weightWaitingTime attribute is set

    - #### setWeightDeadline

          void setWeightDeadline(double aWeightDeadline)

      Set the weightDeadline attribute.
      Parameters:
        `aWeightDeadline` - the new value for the weightDeadline attribute

    - #### getWeightDeadline

          double getWeightDeadline()

      Get the value of the weightDeadline attribute.
      Returns:
        the value of the weightDeadline attribute

    - #### isSetWeightDeadline

          boolean isSetWeightDeadline()

      Determine if any weightDeadline attribute is set
      Returns:
        `true` if the weightDeadline attribute is set

    - #### setWeightUrgency

          void setWeightUrgency(double aWeightUrgency)

      Set the weightUrgency attribute.
      Parameters:
        `aWeightUrgency` - the new value for the weightUrgency attribute

    - #### getWeightUrgency

          double getWeightUrgency()

      Get the value of the weightUrgency attribute.
      Returns:
        the value of the weightUrgency attribute

    - #### isSetWeightUrgency

          boolean isSetWeightUrgency()

      Determine if any weightUrgency attribute is set
      Returns:
        `true` if the weightUrgency attribute is set

    - #### setWeightPriority

          void setWeightPriority(double aWeightPriority)

      Set the weightPriority attribute.
      Parameters:
        `aWeightPriority` - the new value for the weightPriority attribute

    - #### getWeightPriority

          double getWeightPriority()

      Get the value of the weightPriority attribute.
      Returns:
        the value of the weightPriority attribute

    - #### isSetWeightPriority

          boolean isSetWeightPriority()

      Determine if any weightPriority attribute is set
      Returns:
        `true` if the weightPriority attribute is set

    - #### setMaxReservation

          void setMaxReservation(int aMaxReservation)

      Set the maxReservation attribute.
      Parameters:
        `aMaxReservation` - the new value for the maxReservation attribute

    - #### getMaxReservation

          int getMaxReservation()

      Get the value of the maxReservation attribute.
      Returns:
        the value of the maxReservation attribute

    - #### isSetMaxReservation

          boolean isSetMaxReservation()

      Determine if any maxReservation attribute is set
      Returns:
        `true` if the maxReservation attribute is set

    - #### setDefaultDuration

          void setDefaultDuration(java.lang.String aDefaultDuration)

      Set the defaultDuration attribute.
      Parameters:
        `aDefaultDuration` - the new value for the defaultDuration attribute

    - #### getDefaultDuration

          java.lang.String getDefaultDuration()

      Get the value of the defaultDuration attribute.
      Returns:
        the value of the defaultDuration attribute

    - #### isSetDefaultDuration

          boolean isSetDefaultDuration()

      Determine if any defaultDuration attribute is set
      Returns:
        `true` if the defaultDuration attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.